co.aikar.commands

## Class VelocityCommandExecutionContext

- java.lang.Object
- - co.aikar.commands.CommandExecutionContext<VelocityCommandExecutionContext,VelocityCommandIssuer>
  - - co.aikar.commands.VelocityCommandExecutionContext

    public class VelocityCommandExecutionContext
    extends co.aikar.commands.CommandExecutionContext<VelocityCommandExecutionContext,VelocityCommandIssuer>

### Field Summary

### Fields inherited from class co.aikar.commands.CommandExecutionContext

`issuer`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.velocitypowered.api.proxy.Player` `getPlayer()`
`com.velocitypowered.api.command.CommandSource` `getSender()`

### Methods inherited from class co.aikar.commands.CommandExecutionContext

`canOverridePlayerContext, getAnnotation, getAnnotationValue, getAnnotationValue, getArgs, getBooleanFlagValue, getBooleanFlagValue, getCmd, getDoubleFlagValue, getFirstArg, getFlags, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFloatFlagValue, getIndex, getIntFlagValue, getIssuer, getLastArg, getLongFlagValue, getNumParams, getParam, getPassedArgs, getResolvedArg, getResolvedArg, getResolvedArg, hasAnnotation, hasFlag, isLastArg, isOptional, joinArgs, joinArgs, popFirstArg, popLastArg`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSender

    public com.velocitypowered.api.command.CommandSource getSender()

#### getPlayer

    public com.velocitypowered.api.proxy.Player getPlayer()